{
  "id": "8bf43e7d353ac36a1580c42e",
  "source": "go:parse",
  "type": "go-type",
  "title": "parse.type VariableNode",
  "content": "# type parse.type VariableNode ¶\n\n```\ntype VariableNode struct {\n\tNodeType\n\tPos\n\n\tIdent []string // Variable name and fields in lexical order.\n\t// contains filtered or unexported fields\n}\n```\n\nVariableNode holds a list of variable names, possibly with chained field\naccesses. The dollar sign is part of the (first) name.",
  "url": "https://pkg.go.dev/parse#type VariableNode ¶",
  "metadata": {
    "fields": "null",
    "import_path": "Standard library/text/template/parse",
    "kind": "type",
    "method_count": 0,
    "package": "parse",
    "symbol": "type VariableNode ¶",
    "type_kind": "alias",
    "underlying": "type VariableNode struct {\n\tNodeType\n\tPos\n\n\tIdent []string // Variable name and fields in lexical order.\n\t// contains filtered or unexported fields\n}"
  },
  "hash": "e8bd5b468db529aa4f89c623edfceb8eccfa4a3cdab474a47129782cec54c109",
  "timestamp": "2026-02-23T11:22:10.617644083+01:00"
}